Bug 2264306 - mesa-24.0.4 is available
Summary: mesa-24.0.4 is available
Keywords:
Status: RELEASE_PENDING
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Expósito
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks: 2248551
TreeView+ depends on / blocked
 
Reported: 2024-02-14 22:52 UTC by Upstream Release Monitoring
Modified: 2024-04-01 14:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 24.0.1 (#2264306) (794 bytes, patch)
2024-02-14 22:52 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 24.0.1 (#2264306) (794 bytes, patch)
2024-02-15 19:23 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 24.0.2 (#2264306) (794 bytes, patch)
2024-02-28 18:54 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 24.0.3 (#2264306) (794 bytes, patch)
2024-03-14 00:44 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 24.0.4 (#2264306) (794 bytes, patch)
2024-03-27 23:19 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2024-02-14 22:52:13 UTC
Releases retrieved: 24.0.1
Upstream release that is considered latest: 24.0.1
Current version/release in rawhide: 24.0.0-2.fc40
URL: http://www.mesa3d.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1970/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/mesa

Comment 1 Upstream Release Monitoring 2024-02-14 22:52:19 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
There is a syntax error in updated specfile. See attached diff for the changes.

Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 205, in build
    raise BuilderException(str(exc), value=output)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 2 Upstream Release Monitoring 2024-02-14 22:52:21 UTC
Created attachment 2016745 [details]
Update to 24.0.1 (#2264306)

Comment 3 Upstream Release Monitoring 2024-02-15 19:23:14 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
There is a syntax error in updated specfile. See attached diff for the changes.

Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 205, in build
    raise BuilderException(str(exc), value=output)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 4 Upstream Release Monitoring 2024-02-15 19:23:16 UTC
Created attachment 2017003 [details]
Update to 24.0.1 (#2264306)

Comment 5 Fedora Blocker Bugs Application 2024-02-23 09:52:35 UTC
Proposed as a Freeze Exception for 40-beta by Fedora user asciiwolf using the blocker tracking app because:

 Mesa 24.0.1 brings many fixes over the 24.0.0 build that is currently in Fedora 40.

Comment 6 František Zatloukal 2024-02-27 12:16:02 UTC
Discussed during the 2024-02-26 blocker review meeting: [1]

The decision to classify this bug as a RejectedFreezeException (Beta) was made:

"It doesn't seem to bring in any super-critical fixes needed for the live media usage, and can be re-evaluated if such need arises".

[1] https://meetbot.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-02-26/f40-blocker-review.2024-02-26-17.01.log.html

Comment 7 Upstream Release Monitoring 2024-02-28 18:54:42 UTC
Releases retrieved: 24.0.2
Upstream release that is considered latest: 24.0.2
Current version/release in rawhide: 24.0.0-2.fc40
URL: http://www.mesa3d.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1970/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/mesa

Comment 8 Upstream Release Monitoring 2024-02-28 18:54:48 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
There is a syntax error in updated specfile. See attached diff for the changes.

Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 205, in build
    raise BuilderException(str(exc), value=output)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 9 Upstream Release Monitoring 2024-02-28 18:54:50 UTC
Created attachment 2019305 [details]
Update to 24.0.2 (#2264306)

Comment 10 Upstream Release Monitoring 2024-03-14 00:44:05 UTC
Releases retrieved: 24.0.3
Upstream release that is considered latest: 24.0.3
Current version/release in rawhide: 24.0.2-1.fc41
URL: http://www.mesa3d.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1970/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/mesa

Comment 11 Upstream Release Monitoring 2024-03-14 00:44:09 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
There is a syntax error in updated specfile. See attached diff for the changes.

Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 205, in build
    raise BuilderException(str(exc), value=output)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 12 Upstream Release Monitoring 2024-03-14 00:44:11 UTC
Created attachment 2021524 [details]
Update to 24.0.3 (#2264306)

Comment 13 Gurenko Alex 2024-03-15 10:56:52 UTC
@José Expósito I've noticed latest build of 24.0.3 failed for Fedora 40, it shows in a build log that it's still targeting LLVM 17, while it was an accepted blocker to ship LLVM 18 already. The reason I'm asking, is that currently (again) the rusticl support is not working and I'm missing it. Previously on a mesa tracker I was told that it was due to LLVM version mismatch (built against vs installed on a system).

Comment 14 José Expósito 2024-03-15 12:05:02 UTC
Hi @agurenko,

> I've noticed latest build of 24.0.3 failed for Fedora 40,

Yes, the build failed due to this issue:
https://bugzilla.redhat.com/show_bug.cgi?id=2264986

According to the last comment, there is not going to be a freeze exception for gcc, so for the moment we'll have to wait a little bit before we update mesa.


> it shows in a build log that it's still targeting LLVM 17, while it was an accepted blocker to ship LLVM 18 already. The reason I'm asking, is that currently (again) the rusticl support is not working and I'm missing it. Previously on a mesa tracker I was told that it was due to LLVM version mismatch (built against vs installed on a system).

Could you share the issue on the rusticl problem, please? 

I created a request-for-comments merge request to speak about the possibility to build mesa against LLVM 17 until bugs caused by 18 are fixed but, if this affects rusticl it'll be an stopper:
https://src.fedoraproject.org/rpms/mesa/pull-request/48

Comment 15 Gurenko Alex 2024-03-15 12:23:24 UTC
Thank you for the details and links!

Here is a issue I've created precisely when it was the case for LLVM 16 -> 17: https://gitlab.freedesktop.org/mesa/mesa/-/issues/10109#note_2156883 and I'm having the same issue right now.

Comment 16 Karol Herbst 2024-03-15 17:05:28 UTC
(In reply to Gurenko Alex from comment #13)
> @José Expósito I've noticed latest build of 24.0.3 failed for Fedora 40, it
> shows in a build log that it's still targeting LLVM 17, while it was an
> accepted blocker to ship LLVM 18 already. The reason I'm asking, is that
> currently (again) the rusticl support is not working and I'm missing it.
> Previously on a mesa tracker I was told that it was due to LLVM version
> mismatch (built against vs installed on a system).

it's not a version mismatch, it's caused by broken packaging and I kinda don't want to have to deal with this happening on every Fedora release going forward.

Comment 17 José Expósito 2024-03-18 15:58:34 UTC
Hi Karol,

Thanks a lot for your input.

Do you mind detailing a bit which package is broken? Is there any way to fix it so we don't have to deal on every Fedora release?

Comment 18 Karol Herbst 2024-03-18 16:22:44 UTC
(In reply to José Expósito from comment #17)
> Hi Karol,
> 
> Thanks a lot for your input.
> 
> Do you mind detailing a bit which package is broken? Is there any way to fix
> it so we don't have to deal on every Fedora release?

it's kinda hard to grasp what's actually going wrong there as I wasn't able to hit this bug on my end myself. But the problem usually manifests, when the value of `CLANG_RESOURCE_DIR` inside `clang/Config/config.h` doesn't match with the relative position of `opencl-c-base.h` or `clang-c.h` to `clang-cpp.so.$version`.

This can also happen if the configuration of e.g. the clang packaging changes without rebuilding mesa and it's a requirement to rebuilt mesa whenever `CLANG_RESOURCE_DIR` changes.

Comment 19 José Expósito 2024-03-19 11:35:21 UTC
Cool, thanks a lot for the explanation Karol.

For what you explained, it doesn't look like the issue Gurenko Alex is having should be an stopper for https://src.fedoraproject.org/rpms/mesa/pull-request/48

I'm still waiting to get any feedback on that PR, nothing definitive.

Comment 20 Upstream Release Monitoring 2024-03-27 23:19:36 UTC
Releases retrieved: 24.0.4
Upstream release that is considered latest: 24.0.4
Current version/release in rawhide: 24.0.3-2.fc41
URL: http://www.mesa3d.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1970/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/mesa

Comment 21 Upstream Release Monitoring 2024-03-27 23:19:42 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
There is a syntax error in updated specfile. See attached diff for the changes.

Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 205, in build
    raise BuilderException(str(exc), value=output)

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 22 Upstream Release Monitoring 2024-03-27 23:19:43 UTC
Created attachment 2023941 [details]
Update to 24.0.4 (#2264306)


Note You need to log in before you can comment on or make changes to this bug.